Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
Polyline

Tìm Block bên trong Block

Các bài được khuyến nghị

Polyline    18

Sau khi đã Purge bản vẽ, mình ra lệnh Insert thì thấy có một số Block lạ trong danh sách.

Dùng lệnh câu lệnh (ssget "X" '((2 . "BlockName"))) thì không thu được kết quả nào.

Vậy chỉ còn khả năng là Block đó đã nằm bên trong Block nào đó.

 

Nhờ các bác chỉ giúp cách tìm xem nó đã nằm bên trong (những) Block nào. Xin trân trọng cám ơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.679

Mình dùng Cad2007, lệnh QSELECT không cho phép tìm kiếm bên trong Block. Không biết các phiên bản CAD sau này có hỗ trợ hay không.

Thử gởi bản vẽ còn lại 1 block đó lên xem thử sao.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442

Polyline biết Lisp, dùng ssget được mà.

 

(ssget "_A" (list (cons 0 "Insert") (cons 2 blkName)))

(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
 
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
 
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
  (vl-cmdf "erase" ss ""))
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
  (vl-cmdf "erase" ss ""))
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
 
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
 
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
  (vl-cmdf "erase" ss ""))
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
  (vl-cmdf "erase" ss ""))
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
  (vl-cmdf "erase" ss ""))
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
  (vl-cmdf "erase" ss ""))
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
  (vl-cmdf "erase" ss ""))
(if (setq ss (ssget "_A"(list (cons 0 "INSERT")(cons 2 "A$C557B3409"))))
  (vl-cmdf "erase" ss ""))
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

Dễ thấy là nó nằm ngay trên Model, và ssget lấy được

 

((lambda(x / lstAll lst tab notAnon)
	(defun notAnon(x)(not (wcmatch x "`**")))
	(vlax-for blk_def x
		(cond ((notAnon (setq tab (vla-get-Name blk_def)))
			(vlax-for e blk_def
				(cond  
					((and	(= (vla-get-ObjectName  e) "AcDbBlockReference")(notAnon (setq name (vla-get-EffectiveName e))))
						(or (vl-position name lst) (setq lst (cons name lst)))
					)
				)
			)
			(if lst (setq lstAll (append lstAll (list (list tab lst)))))
			(setq lst nil)
		))
	)
	lstAll	
)  
(vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
)

 

((lambda(x / lstAll lst tab notAnon)
(defun notAnon(x)(not (wcmatch x "`**")))
(vlax-for blk_def x
(cond ((notAnon (setq tab (vla-get-Name blk_def)))
(vlax-for e blk_def
(cond  
((and (= (vla-get-ObjectName  e) "AcDbBlockReference")(notAnon (setq name (vla-get-EffectiveName e))))
(or (vl-position name lst) (setq lst (cons name lst)))
)
)
)
(if lst (setq lstAll (append lstAll (list (list tab lst)))))
(setq lst nil)
))
)
lstAll
)  
(vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
 
((lambda(x / lstAll lst tab notAnon)
(defun notAnon(x)(not (wcmatch x "`**")))
(vlax-for blk_def x
(cond ((notAnon (setq tab (vla-get-Name blk_def)))
(vlax-for e blk_def
(cond  
((and (= (vla-get-ObjectName  e) "AcDbBlockReference")(notAnon (setq name (vla-get-EffectiveName e))))
(or (vl-position name lst) (setq lst (cons name lst)))
)
)
)
(if lst (setq lstAll (append lstAll (list (list tab lst)))))
(setq lst nil)
))
)
lstAll
)  
(vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
 
((lambda(x / lstAll lst tab notAnon)
(defun notAnon(x)(not (wcmatch x "`**")))
(vlax-for blk_def x
(cond ((notAnon (setq tab (vla-get-Name blk_def)))
(vlax-for e blk_def
(cond  
((and (= (vla-get-ObjectName  e) "AcDbBlockReference")(notAnon (setq name (vla-get-EffectiveName e))))
(or (vl-position name lst) (setq lst (cons name lst)))
)
)
)
(if lst (setq lstAll (append lstAll (list (list tab lst)))))
(setq lst nil)
))
)
lstAll
)  
(vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×